USE [BillingData]
GO

/****** 
Object:			StoredProcedure [dbo].[usp_GetBillingData_PIVOT]
Script Date:	04/15/2009 22:11:14 
Description:	The methodology below uses PIVOT to 
				report Monthly Billing Data

				This following USP's are identical:
				usp_GetBillingData
				usp_GetBillingData_CASE
				usp_GetBillingData_COALESCE
				usp_GetBillingData_PIVOT
				
				Each produces the same results using different
				methods.
******/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[usp_GetBillingData_PIVOT]
AS

BEGIN
SET NOCOUNT ON;

DECLARE	@SQL		VARCHAR(5000), 
		@ISYear		VARCHAR(4),
		@ISMonth	VARCHAR(2),
		@ISDate		VARCHAR(6)
		
SELECT	@ISYear	= LEFT(ReportDate, 4)
FROM	dbo.Report_Date

SELECT	@ISDate = ReportDate
FROM	dbo.Report_Date

--This Pivot is for Distinct (Fixed) list of variables
SELECT	@SQL = REPLACE(N'SELECT	* FROM	dbo.vw_Billing PIVOT(SUM(BillAmount) FOR BillDate IN ( [<Year>01],[<Year>02],[<Year>03],[<Year>04],[<Year>05],[<Year>06],[<Year>07],[<Year>08],[<Year>09],[<Year>10],[<Year>11],[<Year>12] )) AS MICHAEL ORDER BY Customer', '<Year>', @ISYear)
EXEC	(@SQL)

END


GO