USE [BillingData]
GO

/****** 
Object:			StoredProcedure [dbo].[usp_LoadServiceData_Dashboard]
Script Date:	04/15/2009 22:13:58 
Description:	This User Stored Procedure loads data into
				the TABLE, Service_Report, based upon
				the dates found in the TABLE, Report_Date.
				
				Dates in the TABLE, Report_Date, are input
				by the user at run-time.
				
				This file is used by the file, 
				BillingData Dashboard.xlsm
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[usp_LoadServiceData_Dashboard] 
AS

BEGIN
SET NOCOUNT ON;

DECLARE	@SQL		VARCHAR(5000), 
		@TableName	VARCHAR(100), 
		@ISDate		VARCHAR(6)

SELECT	@ISDate = ReportDate
FROM	dbo.Report_Date

TRUNCATE TABLE dbo.Service_Report

SELECT 	@SQL = REPLACE(N'INSERT INTO dbo.Service_Report (Employee, Region, Customer, InvoiceStatus, ServiceDate, ServiceYrMo, ServiceYr, HourlyRate, HoursActual, AmountBillable, HoursBillable, HoursNonBillable, InvoiceNumber, InvoiceDate, InvoiceYrMo, InvoiceYr, InvoiceLag) SELECT Employee, Region, Customer, InvoiceStatus, ServiceDate, ServiceYrMo, ServiceYr, HourlyRate, HoursActual, AmountBillable, HoursBillable, HoursNonBillable, InvoiceNumber, InvoiceDate, InvoiceYrMo, InvoiceYr, InvoiceLag FROM dbo.vw_Service WHERE ServiceYrMo <= <ISDate>', '<ISDate>', @ISDate)
EXEC	(@SQL)

END
GO