USE [BillingData]
GO

/****** 
Object:			View [dbo].[vw_ServiceRecordsMinMaxDates]
Script Date:	11/05/2011 15:37:21 
Description:	This View shows the Oldest and Most Recent 
				Service record dates with no Invoice
				generated
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO



CREATE VIEW [dbo].[vw_ServiceRecordsMinMaxDates]
AS

SELECT	MIN(ServiceDateOldest)	AS ServiceDateOldest,
		MAX(ServiceDateOldest)	AS ServiceDateRecent
FROM	(
SELECT	Employee,
		Customer,
		Min(ServiceDate)		AS ServiceDateOldest,
		Max(ServiceDate)		AS ServiceDateRecent
FROM	dbo.vw_Service_Report
WHERE	InvoiceNumber IS NULL
GROUP BY
		Employee,
		Customer
		) MICHAELDNEWBY

GO