USE [BillingData]
GO

/****** 
Object:			View [dbo].[vw_ServiceRecordsNotInvoiced]
Script Date:	11/05/2011 14:42:02 
Description:	This View provides details of Service Records with:
				Billable Amounts, 
				Billable Hours,
				but no Invoice has been generated
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE VIEW [dbo].[vw_ServiceRecordsNotInvoiced]
AS

SELECT	Employee,
		Customer,
		SUM(AmountBillable)		AS AmountBillable,
		SUM(HoursBillable)		AS HoursBillable,
		COUNT(HoursBillable)	AS NonInvoiceCount
FROM	dbo.vw_Service_Report
WHERE	InvoiceNumber IS NULL
GROUP BY
		Employee,
		Customer

GO