USE [BillingData]
GO

/******
Object:			Table [dbo].[Service_Report]
Script Date:	04/11/2009 22:17:45 
Description:	This TABLE is used for reporting purposes
				only.  The data contained in it is loaded
				using a STORED PROCEDURE and based upon
				dates (variables) passed from user input.
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[Service_Report](
	[Employee] [varchar](25) NULL,
	[Region] [varchar](15) NULL,
	[Customer] [varchar](25) NULL,
	[InvoiceStatus] [varchar](25) NULL,
	[ServiceDate] [datetime] NULL,
	[ServiceYrMo] [varchar](6) NULL,
	[ServiceYr] [varchar](4) NULL,
	[HourlyRate] [money] NULL,
	[HoursActual] [decimal](18, 2) NULL,
	[AmountBillable] [money] NULL,
	[HoursBillable] [decimal](18, 2) NULL,
	[HoursNonBillable] [decimal](18, 2) NULL,
	[InvoiceNumber] [bigint] NULL,
	[InvoiceDate] [datetime] NULL,
	[InvoiceYrMo] [varchar](6) NULL,
	[InvoiceYr] [varchar](4) NULL,
	[InvoiceLag] [decimal](18, 2) NULL
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO


