USE [BillingData]
GO

/****** 
Object:			StoredProcedure [dbo].[usp_GetBillingData]    
Script Date:	04/15/2009 22:10:31 
Description:	The methodology below uses COALESCE to 
				report Monthly Billing Data
				
				This following USP's are identical:
				usp_GetBillingData
				usp_GetBillingData_CASE
				usp_GetBillingData_COALESCE
				usp_GetBillingData_PIVOT
				
				Each produces the same results using different
				methods.
******/

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE PROCEDURE [dbo].[usp_GetBillingData]
AS

BEGIN
SET NOCOUNT ON;

DECLARE	@SQL		VARCHAR(5000), 
		@Columns	VARCHAR(5000), 
		@ISYear		VARCHAR(4), 
		@ISMonth	VARCHAR(2), 
		@ISDate		VARCHAR(6)

SELECT	@ISYear	= LEFT(ReportDate, 4)
FROM	dbo.Report_Date

SELECT	@ISDate = ReportDate
FROM	dbo.Report_Date

SELECT	@Columns = COALESCE(@Columns + 
							',[' + 
							CAST(Year(BillDate) AS VARCHAR(4)) + RIGHT('00' + CAST(MONTH(BillDate) AS VARCHAR(2)),2) + 
							']', '[' + 
							CAST(Year(BillDate) AS VARCHAR(4)) + RIGHT('00' + CAST(MONTH(BillDate) AS VARCHAR(2)),2) + 
							']')
FROM	dbo.Billing
GROUP BY
		BillDate
ORDER BY
		BillDate

--This Pivot is for Unknown (Variable) list of variables
SET		@SQL = 'SELECT * FROM vw_Billing PIVOT(SUM(BillAmount) FOR BillDate IN (' + @Columns + ')) AS MICHAELDNEWBY'
EXEC	(@SQL)

END





GO


