USE [BillingData]
GO

/******
Object:			View [dbo].[vw_Service_Pivot]
Script Date:	11/05/2011 03:26:21
Description:	This VIEW provides the data used in the
				User Stored Procedure, 
				usp_GetServiceInvoiceCounts_PIVOT.
				
				The usp_GetServiceInvoiceCounts_PIVOT
				provides a table showing monthly 
				Invoice counts by Employee, by Customer.
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO


CREATE VIEW [dbo].[vw_ServiceCount_Pivot]
AS

SELECT	Customer, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(InvoiceDate) AS VARCHAR(4)),2)	AS InvoiceYrMo, 
		COUNT(InvoiceDate)												AS InvoiceCount
FROM	dbo.Service_Report
GROUP BY
		Customer,
		InvoiceDate

UNION ALL

SELECT	'_Total', 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(InvoiceDate) AS VARCHAR(4)),2)	AS InvoiceYrMo, 
		COUNT(InvoiceDate)												AS InvoiceCount
FROM	dbo.Service_Report
GROUP BY
		InvoiceDate

UNION ALL

SELECT	Customer,
		'Total'		AS 'InvoiceYrMo',
		COUNT(InvoiceDate)												AS InvoiceCount
FROM	dbo.Service_Report
GROUP BY
		Customer

UNION ALL

SELECT	'_Total'														As Customer, 
		'Total'															AS InvoiceYrMo, 
		COUNT(InvoiceDate)												AS InvoiceCount
FROM	dbo.Service_Report

GO