USE [BillingData]
GO

/****** 
Object:			View [dbo].[vw_ServiceRecordsInvoiceLagAvg]
Script Date:	11/05/2011 15:37:21 
Description:	This View shows the Invoice Lag averages:
				Low
				Overall Average
				High
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO



CREATE VIEW [dbo].[vw_ServiceRecordsInvoiceLagAvg]
AS

SELECT	MIN(InvoiceLagAvg)	AS InvoiceLagAvgLow,
		AVG(InvoiceLagAvg)	AS InvoiceLagAvg,
		MAX(InvoiceLagAvg)	AS InvoiceLagAvgHigh
FROM	(
SELECT	Employee,
		Customer,
		Avg(InvoiceLag)		AS InvoiceLagAvg
FROM	dbo.vw_Service_Report
WHERE	InvoiceNumber IS NOT NULL
GROUP BY
		Employee,
		Customer
		) MICHAELDNEWBY

GO