USE [BillingData]
GO

/****** 
Object:			View [dbo].[vw_ServiceTotals_Pivot]
Script Date:	11/05/2011 02:44:55 
Description:	The VIEW provides the raw data used in
				the following User Stored Procedures:
				
				usp_GetServiceInvoiceCounts_PIVOT
				usp_GetServiceInvoiceHours_PIVOT
				usp_GetServiceInvoiceTotals_PIVOT
******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE VIEW [dbo].[vw_ServiceTotals_Pivot]
AS

SELECT	Customer, 
		InvoiceYrMo,
		AmountBillable
FROM	(
SELECT	Customer, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(InvoiceDate) AS VARCHAR(4)),2)	AS InvoiceYrMo, 
		HoursBillable,
		AmountBillable
FROM	dbo.Service_Report
WHERE	InvoiceDate IS NOT NULL

UNION ALL

SELECT	'_Total'														AS Customer, 
        CAST(YEAR(InvoiceDate) AS VARCHAR(4)) + 
				RIGHT('0' + CAST(MONTH(InvoiceDate) AS VARCHAR(4)),2)	AS InvoiceYrMo, 
		SUM(HoursBillable)												AS HoursBillable,
		SUM(AmountBillable)												AS AmountBillable
FROM	dbo.Service_Report
WHERE	InvoiceDate IS NOT NULL
GROUP BY
		InvoiceDate

UNION ALL

SELECT	Customer,
		'Total'															AS InvoiceYrMo,
		SUM(HoursBillable)												AS HoursBillable,
		SUM(AmountBillable)												AS AmountBillable
FROM	dbo.Service_Report
WHERE	InvoiceDate IS NOT NULL
GROUP BY
		Customer

UNION ALL

SELECT	'_Total'														As Customer, 
		'Total'															AS InvoiceYrMo, 
		SUM(HoursBillable)												AS HoursBillable,
		SUM(AmountBillable)												AS AmountBillable
FROM	dbo.Service_Report
WHERE	InvoiceDate IS NOT NULL
		) MICHAELDNEWBY

GO